#!/usr/bin/bash

source "$HOME"/.config/Hentai.conf

IGREEN="\033[0;92m"     # Intense Green
IYELLOW="\033[0;93m"    # Intense Yellow
IRED='\033[0;91m'       # Intense Red
NO_COLOR="\033[0m"      # Text Reset

IN_FILE="${tmp_dir}/${1}_generated.txt"
SUCCESS_FILE="${log_dir}/${1}_success.txt"
FAIL_FILE="${log_dir}/${1}_failed.txt"

download() {
    for ((n=0;n<5;n++)); do
        if [[ $1 =~ "iwara.tv" ]]; then
            if yt-dlp --config-locations ./yt-dlp/iwara.conf -o "${2}/%(id)s.%(ext)s" "$1"; then
                echo "$1" >> "$SUCCESS_FILE"
                return 0
            fi
        else
            if gallery-dl --config ./gallery-dl/config.json --directory "$2" "$1"; then
                echo "$1" >> "$SUCCESS_FILE"
                return 0
            fi
        fi
        echo -e "${IYELLOW}download failed${NO_COLOR}"

        if has_internet; then
            echo -e "${IGREEN}has internet${NO_COLOR}"
        else
            echo -e "${IYELLOW}no internet${NO_COLOR}"
            exit 1
        fi
    done
    
    echo "$1" >> "$FAIL_FILE"
}

[[ -z $2 ]] && exit 1
Hentai generate "$1" "$tmp_dir" || exit 1

[[ -f $FAIL_FILE ]] && rm -f "$FAIL_FILE"
[[ -f $SUCCESS_FILE ]] && rm -f "$SUCCESS_FILE"

while IFS= read -r line; do
    url=$(awk '{print $1}' <<< "$line")
    path=$(awk '{print $3}' <<< "$line")
    
    echo "url: $url"
    echo "path: $path"

    download $url $path
done < "$IN_FILE"

[[ -s $FAIL_FILE ]] && echo -e "${IRED}Some links failed!${NO_COLOR}" || echo -e "${IGREEN}Success!${NO_COLOR}"
